using System.Collections.Generic;
using KellermanSoftware.ContactsModule.Models;

namespace KellermanSoftware.ContactsModule.DataAccess
{
    public interface IRepository
    {
        void CreateDatabaseIfItDoesntExist();
        void DeleteHistory(ContactHistory history);
        void DeleteContact(long primaryKey);
        void SaveContact(Contact contact);
        Contact LoadContact(long primaryKey);
        List<ContactName> LoadContactNames();
    }
}
